% Main document
%===============================================================================
% Document information
%-------------------------------------------------------------------------------
\newcommand{\documenttitle}{Bern\ RTOS}
\newcommand{\documenttitleshort}{Bern\ RTOS}
\newcommand{\documentsubtitle}{
	This is the first of three projects on the endeavour to develop a fail-safe real-time operating system (RTOS) from scratch. This project includes an analysis of available RTOS and introduces the concepts of the Rust programming language. Finally, a concept for the Bern RTOS is developed. 
}
\newcommand{\documenttype}{Project I}
\newcommand{\documentauthor}{Stefan\ Lüthi}
\newcommand{\advisor}{Roger Weber}
\newcommand{\sponsor}{{Institute for Intelligent Industrial Systems I3S, BFH}}
\newcommand{\expert}{Daniel Kühni}
\newcommand{\titleimage}{placeholder}
\newcommand{\degreecourse}{Master of Science in Engineering}
\newcommand{\organization}{Berner Fachhochschule | Haute école spécialisée bernoise | Bern University of Applied Sciences}
\newcommand{\version}{1.0}
\newcommand{\versiondate}{10.01.2020}

% Load configuration
%-------------------------------------------------------------------------------
\input{extra/paper_format.tex}
\input{extra/config.tex}

\input{lib/tikz_base.tex}
\input{lib/feature_circles.tex}

\usepackage[
    type={CC},
    modifier={by},
    version={4.0},
]{doclicense}

% some commands to make writing easier
\newcommand{\ucos}{\textmu C/OS\xspace}
\newcommand{\iic}{I\textsuperscript{2}C\xspace}

\usepackage{blindtext}
\begin{document}
	\raggedbottom % don't align page bottom, too many pictures...
	\pagenumbering{roman}

	%---------------------------------------------------------------------------
	% Leader
	%---------------------------------------------------------------------------
	\include{leader/titlepage}
	\pagestyle{normalpage}
	\include{leader/license}
	\cleardoublepage
	\include{chapters/abstract}

	%---------------------------------------------------------------------------
	% Table of contents
	%---------------------------------------------------------------------------
	\cleardoublepage
	\tableofcontents

	%---------------------------------------------------------------------------
	% Main part
	%---------------------------------------------------------------------------
	\cleardoublepage
	\pagenumbering{arabic}

	\include{chapters/introduction}
	\include{chapters/literature-review}
	\include{chapters/programming}
	\include{chapters/discussion}
	\include{chapters/conclusions}

	%---------------------------------------------------------------------------
	% Acronyms
	%---------------------------------------------------------------------------
	%\printglossary[type=\acronymtype]
	%\addcontentsline{toc}{chapter}{Glossary}

	%---------------------------------------------------------------------------
	% Bibliography
	%---------------------------------------------------------------------------
	%\nocite{*}
    \printbibliography
	\addcontentsline{toc}{chapter}{Bibliography}

	%---------------------------------------------------------------------------
	% Listings
	%---------------------------------------------------------------------------
	\listoffigures
	\addcontentsline{toc}{chapter}{List of Figures}

	\listoftables
	\addcontentsline{toc}{chapter}{List of Tables}

	\listoflistings
	\addcontentsline{toc}{chapter}{List of Listings}

	%---------------------------------------------------------------------------
	% Appendix:
	%---------------------------------------------------------------------------
	\appendix
	\settocdepth{chapter}


\end{document}
